#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLambdaBytes = void 0;
const lambdaFunctionPacker_service_1 = require("./services/lambdaFunctionPacker.service");
(async function compileLambdaFunction() {
    const rpc = process.argv[2];
    const governanceProxyContractAddress = process.argv[3];
    const lambdaFunctionName = process.argv[4];
    const args = process.argv.slice(5);
    const lambdaFunctionParameters = args;
    if (!rpc || !governanceProxyContractAddress || !lambdaFunctionName) {
        return console.info("Usage: proposal-data-maker <rpc_url> <governance_proxy_contract_address> <lambda_function_name> <parameters...>");
    }
    // Get the lambda function
    const lambdaFunction = await (0, lambdaFunctionPacker_service_1.getLambdaFunction)(rpc, governanceProxyContractAddress, lambdaFunctionName, lambdaFunctionParameters);
    console.log(lambdaFunction);
})();
const createLambdaBytes = (rpc, governanceProxyContractAddress, lambdaFunctionName, lambdaFunctionParameters) => (0, lambdaFunctionPacker_service_1.getLambdaFunction)(rpc, governanceProxyContractAddress, lambdaFunctionName, lambdaFunctionParameters);
exports.createLambdaBytes = createLambdaBytes;
//# sourceMappingURL=index.js.map